class MessageAttachmentsController < ApplicationController
  before_action :set_message_attachment, only: [:show, :edit, :update, :destroy]

  # GET /message_attachments
  def index
    @message_attachments = MessageAttachment.all
  end

  # GET /message_attachments/1
  def show
  end

  # GET /message_attachments/new
  def new
    @message_attachment = MessageAttachment.new
  end

  # GET /message_attachments/1/edit
  def edit
  end

  # POST /message_attachments
  def create
    @message_attachment = MessageAttachment.new(message_attachment_params)

    if @message_attachment.save
      redirect_to @message_attachment, notice: 'Message attachment was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /message_attachments/1
  def update
    if @message_attachment.update(message_attachment_params)
      redirect_to @message_attachment, notice: 'Message attachment was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /message_attachments/1
  def destroy
    @message_attachment.destroy
    redirect_to message_attachments_url, notice: 'Message attachment was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_message_attachment
      @message_attachment = MessageAttachment.find(params[:id])
    end

    # Only allow a trusted parameter "white list" through.
    def message_attachment_params
      params.require(:message_attachment).permit(:account_id, :message_id, :inline, :file)
    end
end
