class MessageHeadersController < ApplicationController
  before_action :set_message_header, only: [:show, :edit, :update, :destroy]

  # GET /message_headers
  def index
    @message_headers = MessageHeader.all
  end

  # GET /message_headers/1
  def show
  end

  # GET /message_headers/new
  def new
    @message_header = MessageHeader.new
  end

  # GET /message_headers/1/edit
  def edit
  end

  # POST /message_headers
  def create
    @message_header = MessageHeader.new(message_header_params)

    if @message_header.save
      redirect_to @message_header, notice: 'Message header was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /message_headers/1
  def update
    if @message_header.update(message_header_params)
      redirect_to @message_header, notice: 'Message header was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /message_headers/1
  def destroy
    @message_header.destroy
    redirect_to message_headers_url, notice: 'Message header was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_message_header
      @message_header = MessageHeader.find(params[:id])
    end

    # Only allow a trusted parameter "white list" through.
    def message_header_params
      params.require(:message_header).permit(:account_id, :message_id, :name, :value)
    end
end
