class Message < AbstractResource
  belongs_to :account
  belongs_to :template
  has_many :message_headers, dependent: :destroy
  has_many :message_attachments, dependent: :destroy

  attr_accessor :from, :cc, :bcc

  def headers key
    message_headers.where( name: key).first.value
  end

  def set_headers key, val
    f=message_headers.where(name: key).first || MessageHeader.new( message: self, key.to_sym => val)
    f.value=val
    f.save
  end

  # getters for named headers
  def from
    headers "from"
  end

  def cc
    headers "cc"
  end

  def bcc
    headers "bcc"
  end

  # setters for named headers
  def from=val
    set_headers 'from', val
  end

  def cc=val
    set_headers 'cc', val
  end

  def bcc=val
    set_headers 'bcc', val
  end



end
